import traceback

from cpl_core.configuration.configuration_model_abc import ConfigurationModelABC
from cpl_core.console import Console


class UMLCreatorSettings(ConfigurationModelABC):

    def __init__(self):
        ConfigurationModelABC.__init__(self)

        self._max_pixel_x = 0

    @property
    def max_pixel_x(self) -> int:
        return self._max_pixel_x

    def from_dict(self, settings: dict):
        try:
            self._max_pixel_x = settings['MaxPixelX']
        except Exception as e:
            Console.error(f'[ ERROR ] [ {__name__} ]: Reading error in {self.__name__} settings')
            Console.error(f'[ EXCEPTION ] [ {__name__} ]: {e} -> {traceback.format_exc()}')
